Intermittent permission denied from apps like ccache and nsinstall and python and posix_spawn on bld-lion-r5-* in mid-build, sometimes with clang thinking it's a clang bug

RESOLVED WORKSFORME

Status

RESOLVED WORKSFORME
6 years ago
3 months ago

People

(Reporter: philor, Unassigned)

Tracking

({intermittent-failure})

Details

(Whiteboard: [mac][build])

(Reporter)

Description

6 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=11576777&tree=Mozilla-Inbound
OS X 10.7 mozilla-inbound build on 2012-05-08 11:39:49 PDT for push 29d098de41ff
slave: bld-lion-r5-046

make[7]: /usr/local/bin/ccache: Permission denied

https://tbpl.mozilla.org/php/getParsedLog.php?id=11584858&tree=Thunderbird-Trunk
TB OS X 10.7 comm-central build on 2012-05-08 15:39:34 PDT for push 134579274546
slave: bld-lion-r5-074

make[9]: make[9]: /tools/python/bin/python2.7: Permission denied/tools/python/bin/python2.7: Permission denied

make[9]: /tools/python/bin/python2.7: Permission denied
make[8]: /builds/slave/tb-comm-cen-osx64/build/objdir-tb/x86_64/mozilla/config/nsinstall: Permission denied
make[9]: /tools/python/bin/python2.7: Permission denied
make[9]: /builds/slave/tb-comm-cen-osx64/build/objdir-tb/x86_64/mozilla/config/nsinstall: Permission denied
(Reporter)

Updated

6 years ago
Summary: intermittent permission denied from apps like ccache and nsinstall and python on bld-lion-r5-* in mid-build → Intermittent permission denied from apps like ccache and nsinstall and python on bld-lion-r5-* in mid-build
Duplicate of this bug: 767113
(Reporter)

Comment 18

6 years ago
https://tbpl.mozilla.org/php/getParsedLog.php?id=14674326&tree=Mozilla-Inbound
Summary: Intermittent permission denied from apps like ccache and nsinstall and python on bld-lion-r5-* in mid-build → Intermittent permission denied from apps like ccache and nsinstall and python and posix_spawn on bld-lion-r5-* in mid-build
(Reporter)

Updated

6 years ago
Duplicate of this bug: 803752
https://tbpl.mozilla.org/php/getParsedLog.php?id=16284283&tree=Mozilla-Inbound
clang: error: unable to execute command: posix_spawn failed: Permission denied

Including "clang" in bug summary, to make this more searchable.  (I searched for "clang posix_spawn" and didn't find this)
Summary: Intermittent permission denied from apps like ccache and nsinstall and python and posix_spawn on bld-lion-r5-* in mid-build → Intermittent permission denied from apps like ccache and nsinstall and python and posix_spawn on bld-lion-r5-* in mid-build, sometimes with clang thinking it's a clang bug

Updated

6 years ago
Keywords: intermittent-failure
Note this doesn't appear on OrangeFactor due to bug 694170.

We should also probably add support for "clang: error:" to TBPL's parser.
Component: Release Engineering: Machine Management → Release Engineering: Platform Support
QA Contact: armenzg → coop
(Assignee)

Updated

5 years ago
Product: mozilla.org → Release Engineering
We're seeing this with nsinstall on Linux sometimes too: https://ftp.mozilla.org/pub/mozilla.org/firefox/nightly/2014-01-14-03-02-36-mozilla-central-l10n/mozilla-central-linux64-l10n-nightly-ar-bm64-build1-build1613.txt.gz

That points away from this being a hardware issue, I think.
https://tbpl.mozilla.org/php/getParsedLog.php?id=37771816&tree=Mozilla-Inbound
OS X 10.7 mozilla-inbound build on 2014-04-14 11:12:38 PDT for push 33d397b3b008
slave: bld-lion-r5-015

make: dist/bin/nsinstall: Permission denied
make: *** [buildsymbols] Error 1
Whiteboard: [mac][build]
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Duplicate of this bug: 1119187
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Comment hidden (Treeherder Robot)
Inactive; closing (see bug 1180138).
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → WORKSFORME
(Reporter)

Comment 129

2 years ago
I managed to keep it in my addressbar history for a long time, so it didn't matter whether it was closed or open, but now I'm getting tired of having to remember to add ALL to my searches for it.
Status: RESOLVED → REOPENED
Keywords: leave-open
Resolution: WORKSFORME → ---

Updated

11 months ago
Status: REOPENED → RESOLVED
Last Resolved: 3 years ago11 months ago
Resolution: --- → WORKSFORME
Removing leave-open keyword from resolved bugs, per :sylvestre.
Keywords: leave-open
(Assignee)

Updated

3 months ago
Component: Platform Support → Buildduty
Product: Release Engineering → Infrastructure & Operations
You need to log in before you can comment on or make changes to this bug.